DIR(1)

NOMBRE
dir - muestra el contenido de un directorio

SINOPSIS
dir [OPCIÓNN]... [ARCHIVO]...

DESCRIPCIÓN

Por defecto, muestra información de los ARCHIVO (pueden ser uno o varios) del directorio actual. Ordena alfabéticamente la salida si no se especifica ninguna de las opciones -cftuvSUX ni --sort.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a, --all
    no oculta las entradas que comienzan con .

-A, --almost-all
    no muestra las entradas implícitas . ni ..

--author
    con -l, imprime el autor de cada archivo

-b, --escape
    imprime escapes en estilo C para los caracteres no gráficos

--block-size=TAMAÑO
    con -l, escale los tamaños por TAMAÑO al imprimirlos; por ejemplo, '--block-size = M'; consulte formato TAMAÑO más adelante

-B, --ignore-backups
    no muestra la entradas que terminan con ~

-c  con -lt: ordena por ctime y muestra ctime (fecha de última modificación del archivo); con -l: muestra ctime y ordena por nombre; en cualquier otro caso: ordena por ctime, el más reciente primero

-C  muestra las entradas por columnas

--color[=CUÁNDO]
    colorea la salida CUANDO; vea a continuación

-d, --directory
    muestra los propios directorios, no el contenido

-D, --dired
    genera el resultado para el modo 'dired' de Emacs

-f  Igual que -a -U

-F, --classify[=CUANDO]
    añade un indicador (uno de entre estos: */=>@|) a las entradas CUANDO

--file-type
    similar, pero no añade '*'

--format=PALABRA
    Horizontal (-x), comas (-m), largo (-l), columna única (-1), verboso (-l), vertical (-C)

--full-time
    como -l --time-style=full-iso

-g  como -l, pero no lista el propietario

--group-directories-first
    Agrupar directorios antes que archivos

-G, --no-group
    en un listado largo, no muestra los nombres de los grupos

-h, --human-readable
    con -l y -s, muestra los tamaños como 1K 234M 2G etc.

--si
    análogo, pero utiliza potencias de 1000 y no de 1024

-H, --dereference-command-line
    sigue los enlaces simbólicos en la línea de órdenes

--dereference-command-line-symlink-to-dir
    sigue cada enlace simbólico en la línea de órdenes que apunte a ese directorio

--hide=PATRÓN
    no lista las entradas implícitas que coinciden con el patrón de shell PATRÓN (las opciones -a o -A tienen prioridad)

--hyperlink[=CUÁNDO]
    proporciona un hiperenlace al archivo CUANDO

--indicator-style=PALABRA
    anexa el indicador con estilo PALABRA a los nombres de las entradas: ninguno (por defecto), barra (-p), tipo de archivo (--file-type), clasificar (-F)

-i, --inode
    muestra el número de índice de cada archivo

-I, --ignore=PATRÓN
    no lista las entradas implícitas que coinciden con el patrón de shell PATRÓN

-k, --kibibytes
    usa por defecto bloques de 1024 bytes para el uso del sistema de archivos; solo se emplea con -s y para la totalización por directorio

-l  utiliza un formato de listado largo

-L, --dereference
    al mostrar la información de un archivo para un enlace simbólico, muestra la información del archivo al que apunta el enlace en lugar de la del propio enlace

-m  rellena el ancho con una lista de entradas separadas por comas

-n, --numeric-uid-gid
    como -l, pero muestra los IDs de usuario y grupo numéricos

-N, --literal
    muestra los nombres de las entradas tal cual sin entrecomillar

-o  como -l, pero no muestra el grupo

-p, --indicator-style=slash
    añade el indicador / a los directorios

-q, --hide-control-chars
    imprime ? en lugar de los caracteres no gráficos

--show-control-chars
    muestra los caracteres no gráficos tal y como son (predeterminado a menos que el programa sea 'ls' y la salida sea un terminal)

-Q, --quote-name
    encierra los nombres de las entradas entre comillas

--quoting-style=ESTILO
    usa ESTILO como estilo de entrecomillado para los nombres de entrada: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (anula la variable de entorno QUOTING_STYLE)

-r, --reverse
    invierte el orden, en su caso

-R, --recursive
    muestra los subdirectorios recursivamente

-s, --size
    muestra el tamaño de cada archivo, en bloques

-S  ordena según el tamaño del archivo poniendo el más grande primero

--sort=PALABRA
    Cambiar la ordenación predeterminada por nombre a PALABRA: ninguno (-U), tamaño (-S), tiempo (-t), versión (-v), extensión (-X), nombre, ancho

--time=PALABRA
    selección la marca temporal para mostrar u ordenar; hora de acceso (-u): atime, access, use; hora de cambio (-c): ctime, status; hora de creación: birth, creation;

    con -l, PALABRA determina qué hora mostrar; con --sort=tiempo, lo ordena según PALABRA (la más reciente primero)

--time-style=TIME_STYLE
    formato de fecha y hora con -l; vea TIME_STYLE a continuación

-t  ordena según el tiempo, primero el más reciente; consulte --time

-T, --tabsize=COLUMNAS
    supone que la tabulación abarca COLUMNAS columnas en lugar de 8

-u  con -lt: ordena y muestra la hora de acceso; con -l: muestra la hora de acceso y ordena por nombre; de lo contrario, ordenará por hora de acceso poniendo el más nuevo primero

-U  No ordenar entradas de directorio

-v  ordena de modo natural los número de versión según el texto

-w, --width=COLS
    no impone restricciones al número de columnas de la salida

-x  muestra las entradas en filas en lugar de hacerlo en columnas

-X  ordena alfabéticamente según la extensión

-Z, --context
    muestra todos los contextos de seguridad de cada archivo

--zero
    termina cada línea con NULL, no con nueva línea

-1  muestra un archivo en cada línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

El argumento TAMAÑO es un entero y una unidad opcional (ejemplo: 10K es 10 * 1024). Las unidades son K, M, G, T, P, E, Z, Y, R y Q (potencias de 1024) o KB, MB, ... (potencias de 1000). También se pueden usar prefijos binarios: KiB = K, MiB = M, etc.

El argumento TIME_STYLE puede ser full-iso, long-iso, iso, locale o +FORMATO. FORMATO se interpreta como en date(1). Si FORMATO es FORMATO1<newline> FORMATO2, entonces FORMATO1 se aplica a los archivos no recientes y FORMATO2 a los archivos más recientes. TIME_STYLE con el prefijo 'posix-' tiene efecto solo fuera de la configuración regional POSIX. Además, la variable de entorno TIME_STYLE establece el estilo a emplear por defecto.

el argumento WHEN está definido por defecto como 'always' (siempre) pero puede definirse también como 'auto' o 'never' (nunca).

El uso de color para distinguir los tipos de archivos está desactivado por omisión y cuando se usa --color=never. Con --color=auto, ls produce códigos de color solamente cuando la salida estándar está conectada a una terminal. La variable de entorno LS_COLORS puede cambiar las opciones. Utilice la orden dircolors(1) para establecerla.

  Estado de salida:

0   si todo fue bien,

1   si hubo problemas menores (p. ej., no poder acceder a un subdirectorio),

2   si hubo un serio problema (p. ej., no se puede acceder al argumento de la línea de órdenes)

AUTOR
Escrito por Richard M. Stallman y David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa en <https://www.gnu.org/software/coreutils/dir>
también disponible localmente ejecutando: info '(coreutils) dir invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.